Retrieve a payment setting adyen
How to fetch a specific payment setting adyen via API
To fetch a single payment setting adyen, send a GET request to the /api/2026-05/payment_setting_adyens/:id endpoint, where id is the ID of the resource that you want to retrieve.
Request
GET https://yourdomain.commercelayer.io/api/2026-05/payment_setting_adyens/:id
Example
The following request fetches the payment setting adyen identified by the ID "XAyRWNUzyN":
curl -g -X GET \
'https://yourdomain.commercelayer.io/api/2026-05/payment_setting_adyens/XAyRWNUzyN' \
-H 'Accept: application/vnd.api+json' \
-H 'Authorization: Bearer your-access-token'On success, the API responds with a 200 OK status code, returning a single resource object:
{
"data": {
"id": "XAyRWNUzyN",
"type": "payment_setting_adyens",
"links": {
"self": "https://yourdomain.commercelayer.io/api/2026-05/payment_setting_adyens/XAyRWNUzyN"
},
"attributes": {
"type": "payment_setting_stripes",
"gateway_version": "2025-09-30.clover",
"idempotency_window_mins": 60,
"internal_versions": {
"payment_intent": "V1",
"setup_intent": "V3"
},
"internal_versionable": true,
"auto_capture": false,
"auto_place": false,
"status": "active",
"name": "Stripe",
"disabled_at": "2018-01-01T12:00:00.000Z",
"created_at": "2018-01-01T12:00:00.000Z",
"updated_at": "2018-01-01T12:00:00.000Z",
"reference": "ANY-EXTERNAL-REFEFERNCE",
"reference_origin": "ANY-EXTERNAL-REFEFERNCE-ORIGIN",
"metadata": {
"foo": "bar"
},
"public_key": "xxxx-yyyy-zzzz",
"live_url_prefix": "1797a841fbb37ca7-AdyenDemo",
"webhook_endpoint_secret": "xxxx-yyyy-zzzz",
"webhook_endpoint_id": "WBHK00000000000000000000000000",
"webhook_endpoint_url": "https://core.commercelayer.co/webhook_callbacks/adyen_gateways/xxxxx",
"token_webhook_endpoint_secret": "xxxx-yyyy-zzzz"
},
"relationships": {
"payment_links": {
"links": {
"self": "https://yourdomain.commercelayer.io/api/2026-05/payment_setting_adyens/XAyRWNUzyN/relationships/payment_links",
"related": "https://yourdomain.commercelayer.io/api/2026-05/payment_setting_adyens/XAyRWNUzyN/payment_links"
}
},
"payment_sessions": {
"links": {
"self": "https://yourdomain.commercelayer.io/api/2026-05/payment_setting_adyens/XAyRWNUzyN/relationships/payment_sessions",
"related": "https://yourdomain.commercelayer.io/api/2026-05/payment_setting_adyens/XAyRWNUzyN/payment_sessions"
}
},
"payment_transactions": {
"links": {
"self": "https://yourdomain.commercelayer.io/api/2026-05/payment_setting_adyens/XAyRWNUzyN/relationships/payment_transactions",
"related": "https://yourdomain.commercelayer.io/api/2026-05/payment_setting_adyens/XAyRWNUzyN/payment_transactions"
}
},
"payment_wallets": {
"links": {
"self": "https://yourdomain.commercelayer.io/api/2026-05/payment_setting_adyens/XAyRWNUzyN/relationships/payment_wallets",
"related": "https://yourdomain.commercelayer.io/api/2026-05/payment_setting_adyens/XAyRWNUzyN/payment_wallets"
}
},
"order_subscriptions": {
"links": {
"self": "https://yourdomain.commercelayer.io/api/2026-05/payment_setting_adyens/XAyRWNUzyN/relationships/order_subscriptions",
"related": "https://yourdomain.commercelayer.io/api/2026-05/payment_setting_adyens/XAyRWNUzyN/order_subscriptions"
}
},
"events": {
"links": {
"self": "https://yourdomain.commercelayer.io/api/2026-05/payment_setting_adyens/XAyRWNUzyN/relationships/events",
"related": "https://yourdomain.commercelayer.io/api/2026-05/payment_setting_adyens/XAyRWNUzyN/events"
}
},
"event_stores": {
"links": {
"self": "https://yourdomain.commercelayer.io/api/2026-05/payment_setting_adyens/XAyRWNUzyN/relationships/event_stores",
"related": "https://yourdomain.commercelayer.io/api/2026-05/payment_setting_adyens/XAyRWNUzyN/event_stores"
}
}
},
"meta": {
"created_with_version": "2026-05"
}
},
"meta": {
"trace_id": "69abaa3545913c78132e5578bd26208d44aa9043647d78698fd0021f3958cd74",
"api_versions": [
"2026-05"
]
}
}Last updated